#
# spec file for package ghc-assoc
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name assoc
Name:           ghc-%{pkg_name}
Version:        1.0.2
Release:        bp154.2.13
Summary:        Swap and assoc: Symmetric and Semigroupy Bifunctors
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bifunctors-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-tagged-devel
ExcludeArch:    %{ix86}

%description
Provides generalisations of 'swap :: (a,b) -> (b,a)' and 'assoc :: ((a,b),c) ->
(a,(b,c))' to 'Bifunctor's supporting similar operations (e.g.
'Either', 'These').

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md

%changelog
* Mon Nov  1 2021 psimons@suse.com
- Update assoc to version 1.0.2 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Feb 15 2021 psimons@suse.com
- Update assoc to version 1.0.2 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Mon Aug 10 2020 psimons@suse.com
- Update assoc to version 1.0.2.
  [#]# 1.0.2
  - Add 'Swap' instances for more n-tuples
* Tue Jun  9 2020 psimons@suse.com
- Add assoc at version 1.0.1.
